XDT-CSOURCE(1)

NAME
xdt-csource - C code generation utility for arbitrary data

SYNOPSIS

xdt-csource [options] [file]

xdt-csource [options] --build-list [[name file]...]

DESCRIPTION

xdt-csource is a small utility that generates C code containing arbitrary data, useful for compiling texts or other data directly into programs.

INVOCATION

xdt-csource either takes as input one file name to generate code for, or, using the --build-list option, a list of (name, file) pairs to generate code for a list of images into named variables.

-h, --help
    Print this help message and exit

-V, --version
    Print version information and exit

--extern
    Generate extern symbols

--static
    Generate static symbols

--name=identifier
    C macro/variable name

--build-list
    Parse (name, file) pairs

--strip-comments
    Remove comments from XML files

--strip-content
    Remove node contents from XML files

COPYRIGHT
Copyright © 2005-2011

    The Xfce development team. All rights reserved.

Please report bugs to <http://bugzilla.xfce.org/enter_bug.cgi?product=Xfce4-dev-tools>.